Package org.eclipse.cdt.core.dom.ast.cpp

## Interface ICPPTemplateDefinition

All Superinterfaces:
  `org.eclipse.core.runtime.IAdaptable`, `IBinding`, `ICPPBinding`

All Known Subinterfaces:
  `ICPPAliasTemplate`, `ICPPClassTemplate`, `ICPPClassTemplatePartialSpecialization`, `ICPPClassTemplatePartialSpecializationSpecialization`, `ICPPFieldTemplate`, `ICPPFunctionTemplate`, `ICPPPartiallySpecializable`, `ICPPPartialSpecialization`, `ICPPTemplateTemplateParameter`, `ICPPVariableTemplate`, `ICPPVariableTemplatePartialSpecialization`

    public interface ICPPTemplateDefinition
    extends ICPPBinding

Base interface for all template definitions including explicit (partial) specializations.

Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

### Field Summary

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IBinding

`EMPTY_BINDING_ARRAY`

### Method Summary

All Methods Instance Methods Abstract Methods
`ICPPTemplateParameter[]` `getTemplateParameters()` Returns an array of the template parameters.

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IBinding

`getLinkage, getName, getNameCharArray, getOwner, getScope`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.cpp.ICPPBinding

`getQualifiedName, getQualifiedNameCharArray, isGloballyQualified`

### Method Detail

#### getTemplateParameters

    ICPPTemplateParameter[] getTemplateParameters()

Returns an array of the template parameters. In the case of a specialization, the array will be empty, a partial specialization will have the specialized parameter list.

Returns:
  an array of template parameters